Skip to main content
GET
/
api2
/
v1
/
auth
/
refreshAppleToken
Refresh Apple token
curl --request GET \
  --url https://cloud.memsource.com/web/api2/v1/auth/refreshAppleToken \
  --header 'None: <api-key>'
{
  "access_token": "<string>",
  "expires_in": "<string>",
  "id_token": "<string>",
  "refresh_token": "<string>",
  "token_type": "<string>"
}

Authorizations

None
string
header
required

No authentication required. This is used for public endpoints.

Query Parameters

token
string
required

Apple refresh token

Response

OK

Token response returned by Apple when refreshing an Apple token

access_token
string

Apple access token

expires_in
string

Lifetime of the access token in seconds

id_token
string

Apple identity token (JWT)

refresh_token
string

Apple refresh token

token_type
string

Type of the issued token